import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { AvailableStatusMaster } from '../models';
import { AvailableStatusMasterRepository } from '../repositories';
export declare class AvailablestatusmasterController {
    availableStatusMasterRepository: AvailableStatusMasterRepository;
    constructor(availableStatusMasterRepository: AvailableStatusMasterRepository);
    create(availableStatusMaster: Omit<AvailableStatusMaster, 'availablestatusId'>): Promise<AvailableStatusMaster>;
    count(where?: Where<AvailableStatusMaster>): Promise<Count>;
    find(filter?: Filter<AvailableStatusMaster>): Promise<AvailableStatusMaster[]>;
    updateAll(availableStatusMaster: AvailableStatusMaster, where?: Where<AvailableStatusMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<AvailableStatusMaster>): Promise<AvailableStatusMaster>;
    updateById(id: number, availableStatusMaster: AvailableStatusMaster): Promise<void>;
    replaceById(id: number, availableStatusMaster: AvailableStatusMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
